Saltar al contenido principal
PUT
/
v1
/
maintenance
/
workOrders
/
{workOrderReference}
/
actions
/
{actionId}
/
image
Upload the image result for an existing action
curl --request PUT \
  --url https://api.bold-factory.com/v1/maintenance/workOrders/{workOrderReference}/actions/{actionId}/image \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: multipart/form-data' \
  --form 'EmployeeReference=<string>' \
  --form 'Notes=<string>' \
  --form FormFile='@example-file'
{
  "type": "https://api.bold-factory.com/errors/FILTER_PARSING_FAILED",
  "title": "Filter parsing failed",
  "status": 400,
  "detail": "The filter string could not be parsed or contains invalid column references: CreatedBy column does not exist.",
  "instance": "POST /v1/items/products/search",
  "code": "FILTER_PARSING_FAILED"
}

Autorizaciones

Authorization
string
header
requerido

Use a valid JWT token in the Authorization header with the format 'Bearer {token}'

Parámetros de ruta

workOrderReference
string
requerido
actionId
string
requerido

Cuerpo

multipart/form-data
EmployeeReference
string
Notes
string
FormFile
file

Respuesta

No Content